Bug 149697 - The connector changes the connect point after save the file.
Summary: The connector changes the connect point after save the file.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+ Master
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.5.0 target:7.4.0.2
Keywords: filter:pptx
Depends on:
Blocks: PPTX-Shapes
  Show dependency treegraph
 
Reported: 2022-06-23 13:28 UTC by NISZ LibreOffice Team
Modified: 2022-08-11 09:03 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Create test pptx file in PowerPoint (34.03 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2022-06-23 13:29 UTC, NISZ LibreOffice Team
Details
After saving it again in Impress (24.11 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2022-06-23 13:30 UTC, NISZ LibreOffice Team
Details
Comparing before and after saving in Impress (87.76 KB, image/png)
2022-06-23 13:30 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2022-06-23 13:28:58 UTC
Description:
When I open in Impress a pptx document which is created in PowerPoint and save it again in pptx the connect point location changes.

Steps to Reproduce:
1. Create two shapes in PowerPoint.
2. Connect them with connector.
3. Open it in Impress.
4. Save as it in pptx.
5. Open the saved file and see that the connector does not connect with the same connect point like previously.

Actual Results:
The connector changes the connect point after save the pptx again.

Expected Results:
The connector won't be change connect point.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 1eaf11278a2f2f81fbff774fef73f72a6b1a4efb
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2022-06-23 13:29:41 UTC
Created attachment 180933 [details]
Create test pptx file in PowerPoint
Comment 2 NISZ LibreOffice Team 2022-06-23 13:30:17 UTC
Created attachment 180934 [details]
After saving it again in Impress
Comment 3 NISZ LibreOffice Team 2022-06-23 13:30:58 UTC
Created attachment 180935 [details]
Comparing before and after saving in Impress
Comment 4 Commit Notification 2022-07-22 11:41:09 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4d153517183193f468dee9148c94fe9d874bacb3

tdf#149697 PPTX export: fix changing place of connection points

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-07-26 14:35:32 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/6b39dbd3e60a61c893640a6b7f0c80b9432580fb

tdf#149697 PPTX export: fix changing place of connection points

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 NISZ LibreOffice Team 2022-08-11 09:03:03 UTC
Verified in:
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 450471ebbdbff40998509731028b28e0ada53f58
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL